Tpf.Persona.dup_for_contact – folks-telepathy Reference Manual

# dup_for_contact

## Description:

public static Persona? dup_for_contact (Contact contact)

Look up a Tpf.Persona by its TelepathyGLib.Contact.

If the TelepathyGLib.Account for the contact's TelepathyGLib.Connection is `null`, or if a Tpf.PersonaStore can't be found for that account, `null` will be returned. Otherwise, if a Tpf.Persona already exists for the given contact, that will be returned; if one doesn't exist a new one will be created and returned. In this case, the Tpf.Persona will be added to the PersonaStore associated with the account, and will be removed when `contact` is destroyed.

## Parameters:

contact | the Telepathy contact of the persona

## Returns:

the persona associated with the contact, or `null`

## Since:

0.6.6